package com.logicbig.example;

import org.junit.Assert;
import org.junit.Test;
import org.mockito.ArgumentMatchers;
import org.mockito.Mockito;

public class ProcessorTest4 {

    @Test
    public void processTest() {
        MyService myService = Mockito.mock(MyService.class);
        Mockito.when(myService.doSomething(ArgumentMatchers.anyInt())).thenReturn(5);
        MyProcessor myProcessor = new MyProcessor(myService);
        String returnedValue = myProcessor.process2();
        Assert.assertEquals(returnedValue, "My Integer is: 5");
    }
}