package com.logicbig.example;

import org.junit.Assert;
import org.junit.Test;
import org.mockito.ArgumentMatchers;
import org.mockito.Mockito;
import java.math.BigDecimal;

public class ProcessorTest3 {

    @Test
    public void processTest() {
        MyService myService = Mockito.mock(MyService.class);
        Mockito.when(myService.doSomething(ArgumentMatchers.any())).thenReturn(5);
        MyProcessor myProcessor = new MyProcessor(myService);
        String returnedValue = myProcessor.process();
        Assert.assertEquals(returnedValue, "My Integer is: 0");
    }
}